Subject: bug#55404: closed (Re: bug#55404: [PATCH 0/2] Make 'description' of <service-type> mandatory)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 May 2022 20:39:02 +0000

Your bug report

#55404: [PATCH 0/2] Make 'description' of <service-type> mandatory

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55404: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55404: [PATCH 0/2] Make 'description' of <service-type> mandatory
From: Ludovic Courtès <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 May 2022 22:37:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hi!
>>
>> This change makes the ‘description’ field of <service-type> mandatory.
>> I think it’s necessary if we are to make ‘guix system search’, ‘guix
>> home search’, and similar tools useful.
>>
>> Objections?
>
> None.  Go for it!

Alright, pushed as 3948ac25b1dccc40c7fdf56377f94a0775a835ee with
additional ‘tests/services.scm’ changes I had forgotten.

Thanks for taking a look!

Ludo’.

Subject: [PATCH 0/2] Make 'description' of <service-type> mandatory
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Fri, 13 May 2022 23:43:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

This change makes the ‘description’ field of <service-type> mandatory.
I think it’s necessary if we are to make ‘guix system search’, ‘guix
home search’, and similar tools useful.

Objections?

Thanks,
Ludo’.

Ludovic Courtès (2):
  services: Add more description fields.
  services: Make <service-type> 'description' field mandatory.

 gnu/services.scm       | 6 +++---
 gnu/services/base.scm  | 3 ++-
 gnu/system/install.scm | 6 ++++--
 gnu/tests.scm          | 7 +++++--
 4 files changed, 14 insertions(+), 8 deletions(-)

base-commit: 2e6f4220cffc72f55f5390a57499e95fc9a03796
-- 
2.36.0